import '../../stencil.core';
import { IEmaTabContentData, IEmaTabHeaderData } from './interfaces';
interface ITabGroup {
    header: IEmaTabHeaderData;
    content: IEmaTabContentData;
}
export declare class Tabs {
    tabsHeader: IEmaTabHeaderData[];
    tabsContent: IEmaTabContentData[];
    tabGroup: ITabGroup[];
    host: HTMLElement;
    selectedIndex: number;
    componentDidLoad(): void;
    componentDidUpdate(): void;
    onSelectedTab(event: CustomEvent): void;
    createGroup(): void;
    selectGroup(group: ITabGroup): void;
    activeIndex: any;
    render(): JSX.Element[];
}
export {};
